# evennia.server.deprecations

This module contains historical deprecations that the Evennia launcher checks for.

These all print to the terminal.

`evennia.server.deprecations.``check_errors`(settings)

  Check for deprecations that are critical errors and should stop the launcher.

  Parameters

    settings (Settings) – The Django settings file

  Raises

    DeprecationWarning if a critical deprecation is found. –

`evennia.server.deprecations.``check_warnings`(settings)

  Check conditions and deprecations that should produce warnings but which does not stop launch.